package com.hzs.activity.pick.service.impl;

import com.hzs.activity.pick.mapper.AcPickMemberLogMapper;
import com.hzs.activity.pick.service.IAcPickMemberLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.activity.pick.vo.AcPickMemberLogVO;
import com.hzs.common.domain.activity.pick.AcPickMemberLog;
import com.hzs.common.domain.activity.pick.ext.AcPickExt;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 会员提货记录 服务实现类
 */
@Service
public class AcPickMemberLogServiceImpl extends ServiceImpl<AcPickMemberLogMapper, AcPickMemberLog> implements IAcPickMemberLogService {

    @Override
    public List<AcPickMemberLogVO> queryMemberLog(Long pkMember) {
        return baseMapper.queryMemberLog(pkMember);
    }

    @Override
    public int insertBatch(List<AcPickExt> acPickExtList, Integer quantity, Integer source) {
        return baseMapper.insertBatch(acPickExtList, quantity, source);
    }

    @Override
    public int deleteBatch(List<AcPickMemberLog> acPickMemberLogList) {
        return baseMapper.deleteBatch(acPickMemberLogList);
    }

}
